Name:           nde-runner 
Summary:        Application runner agent for Nde desktop suite
Version:        0.0.1
Release:        2%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires: %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires: nde-lib-devel >= 0.0.1
BuildRequires: pkgconfig(nde-globalkeys) >= 0.0.1
BuildRequires: pkgconfig(nde-globalkeys-ui) >= 0.0.1
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: nde-qtxdg-devel
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: kf5-kwindowsystem-devel >= 5.5
%if 0%{?fedora}
BuildRequires: pkgconfig(muparser)
%endif

%description
%{summary}.

%package l10n
Summary:        Translations for nde-runner
Requires:       nde-runner
%description l10n
This package provides translations for the nde-runner package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake_nde} \
%if 0%{?rhel}
    -DRUNNER_MATH=OFF \
%endif
    -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%find_lang nde-runner --with-qt

%files
%{_bindir}/nde-runner
%{_sysconfdir}/xdg/autostart/nde-runner.desktop
%{_mandir}/man1/%{name}*

%files l10n -f nde-runner.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/%{name}

%changelog
* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

